javax.persistence.criteria

## Interface CriteriaBuilder.Coalesce<T>

All Superinterfaces:
  Expression<T>, Selection<T>, TupleElement<T>

Enclosing interface:
  CriteriaBuilder

    public static interface CriteriaBuilder.Coalesce<T>
    extends Expression<T>

Interface used to build coalesce expressions. A coalesce expression is equivalent to a case expression that returns null if all its arguments evaluate to null, and the value of its first non-null argument otherwise.

### Method Summary

All Methods Instance Methods Abstract Methods
`CriteriaBuilder.Coalesce<T>` `value(Expression<? extends T> value)` Add an argument to the coalesce expression.
`CriteriaBuilder.Coalesce<T>` `value(T value)` Add an argument to the coalesce expression.

### Methods inherited from interface javax.persistence.criteria.Expression

`as, in, in, in, in, isNotNull, isNull`

### Methods inherited from interface javax.persistence.criteria.Selection

`alias, getCompoundSelectionItems, isCompoundSelection`

### Methods inherited from interface javax.persistence.TupleElement

`getAlias, getJavaType`

### Method Detail

#### value

    CriteriaBuilder.Coalesce<T> value(T value)

Add an argument to the coalesce expression.

Parameters:
  `value` - value
Returns:
  coalesce expression

#### value

    CriteriaBuilder.Coalesce<T> value(Expression<? extends T> value)

Add an argument to the coalesce expression.

Parameters:
  `value` - expression
Returns:
  coalesce expression